Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 450372 - sys-apps/portage: russian translation of manpages
Summary: sys-apps/portage: russian translation of manpages
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Documentation (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 12:46 UTC by Vladimir Romanov (RETIRED)
Modified: 2015-02-18 10:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild(1) man page (ebuild.1.bz2,4.30 KB, application/bzip2)
2013-01-12 17:33 UTC, Vladimir Romanov (RETIRED)
Details
ebuild(1) man page (ebuild.1.bz2,4.29 KB, text/plain)
2013-01-16 12:44 UTC, Vladimir Romanov (RETIRED)
Details
env-update.1 (env-update.1,1.80 KB, text/plain)
2013-01-27 15:20 UTC, Vladimir Romanov (RETIRED)
Details
ebuild.1 (ebuild.1,17.24 KB, text/plain)
2013-01-27 15:33 UTC, Vladimir Romanov (RETIRED)
Details
env-update.1 (env-update.1,1.81 KB, text/plain)
2013-01-27 15:33 UTC, Vladimir Romanov (RETIRED)
Details
fixpackages.1 (fixpackages.1,857 bytes, text/plain)
2013-01-27 15:35 UTC, Vladimir Romanov (RETIRED)
Details
etc-update.1 (etc-update.1,3.05 KB, text/plain)
2013-01-27 15:57 UTC, Vladimir Romanov (RETIRED)
Details
etc-update.1 english (etc-update.1,1.70 KB, text/plain)
2013-01-30 15:18 UTC, Vladimir Romanov (RETIRED)
Details
ebuild.5 english (ebuild.5,54.23 KB, text/plain)
2013-01-30 15:18 UTC, Vladimir Romanov (RETIRED)
Details
ebuild.1 english (ebuild.1,9.52 KB, text/plain)
2013-01-30 15:19 UTC, Vladimir Romanov (RETIRED)
Details
env-update.1 english (env-update.1,1.04 KB, text/plain)
2013-01-30 15:19 UTC, Vladimir Romanov (RETIRED)
Details
ebuild.1 apply changes to russian version also (ebuild.1,17.25 KB, text/plain)
2013-02-17 03:42 UTC, Vladimir Romanov (RETIRED)
Details
env-update.1 add changes to russian version also (env-update.1,1.83 KB, text/plain)
2013-02-17 03:42 UTC, Vladimir Romanov (RETIRED)
Details
ebuild.1.diff apply changes to russian version also (ebuild.1.diff,558 bytes, text/plain)
2013-02-17 03:49 UTC, Vladimir Romanov (RETIRED)
Details
env-update.1.diff apply changes to russian version also (env-update.1.diff,1.39 KB, text/plain)
2013-02-17 03:50 UTC, Vladimir Romanov (RETIRED)
Details
diff to english dispatch-conf man page (dispatch-conf.diff,4.47 KB, text/plain)
2013-04-20 15:54 UTC, Vladimir Romanov (RETIRED)
Details
Russian translation of dispatch-conf man page (dispatch-conf.1,5.93 KB, text/plain)
2013-04-20 15:55 UTC, Vladimir Romanov (RETIRED)
Details
color.map.5 russian (color.map.5,8.04 KB, text/plain)
2013-06-24 17:20 UTC, Vladimir Romanov (RETIRED)
Details
Ebuild.1 diff (ebuild.1.diff,2.25 KB, patch)
2014-01-03 12:18 UTC, Vladimir Romanov (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 12:46:34 UTC
I want to translate portage/equery/eselect/other gentoo-specific man pages to Russian language, so, it will be included in Gentoo Repositories. How can i do this, how this process is taken and... where to begin?

By the way, i am translating handbook right now (https://bugs.gentoo.org/show_bug.cgi?id=448408), so, i can translate.

Reproducible: Always
Comment 1 Zac Medico gentoo-dev 2013-01-05 13:36:34 UTC
File separate bugs each package (equery/gentoolkit and eselect are not part of sys-apps/portage).

For sys-apps/portage, you can attach the man pages to this bug, and we'll add them to a man/ru directory like suggested in bug #420577, comment #2. You can find the latest english versions of the man pages here:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=tree;f=man;hb=refs/heads/master
Comment 2 Agostino Sarubbo gentoo-dev 2013-01-05 14:06:03 UTC
and feel free to poke some russian gentoo devs[1] to double-check your work. 

[1] maksbotan pinkbyte tetromino
Comment 3 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 14:11:17 UTC
Thanks. I think, this will be not fast, so you can close this bug (i will open another when complete).

About double-checking - yes, i know this, i translate handbook, and they're checking all for 2-3 weeks :D
Comment 4 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 16:48:03 UTC
And one more question - at link http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=tree;f=man;hb=refs/heads/master, portage.5, in page http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=d9fc4acc572c6647a4f27b838d35d27d805d190e (very first commit to git) written "Migration (without history) of the current stable line to subversion.
svn path=/main/branches/2.0/; revision=1941"

Is that svn still can be found somewhere? I want to see this 1941 revisions... I can't believe, it all was simply deleted.
Comment 5 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 17:26:44 UTC
The main repository is located at <uri>svn+ssh://cvs.gentoo.org/var/svnroot/portage/main</uri>, please note that it is subject to strict access controls, only people listed in the developers section on this page are able to commit to it.</p>

:(. So, i can't view it anyhow?
Comment 6 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 17:50:24 UTC
Hmm... it seems, first portage man is here http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-src/portage/man/portage.5?hideattic=1&view=log - from very beginning. But then... why migration to subversion... why 1941?!

Or... it being CVS initially (sources.gentoo.org), then is was moved to SVN (without history), and then it was moved to GIT, but with history from SVN?
Comment 7 Fabian Groffen gentoo-dev 2013-01-05 17:53:51 UTC
git history goes back to 2005:

commit d9fc4acc572c6647a4f27b838d35d27d805d190e
Author: Jason Stubbs <jstubbs@gentoo.org>
Date:   Sun Aug 28 08:37:44 2005 +0000

    Migration (without history) of the current stable line to subversion.
    
    
    svn path=/main/branches/2.0/; revision=1941
Comment 8 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 17:56:45 UTC
Yes. To 2005. Where history BEFORE 2005? It can be seen in CVS, but comment in GIT (2005) said 'move to... subversion'?
Comment 9 Fabian Groffen gentoo-dev 2013-01-05 17:58:56 UTC
"Migration (without history)"

So your own conclusion was right:

"Or... it being CVS initially (sources.gentoo.org), then is was moved to SVN (without history), and then it was moved to GIT, but with history from SVN?"
Comment 10 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-05 18:03:33 UTC
Thanks. Bug can be closed.
Comment 11 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-12 17:33:06 UTC
Created attachment 335352 [details]
ebuild(1) man page

Here is first translated man-page. Please check it and make a decision - is it worth continue?
Comment 12 Zac Medico gentoo-dev 2013-01-14 08:47:23 UTC
(In reply to comment #11)
It looks good to me, but I don't understand Russian. If you want to continue, then I'll commit and release it.
Comment 13 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-14 13:43:28 UTC
Yes, i want to continue, and i want you to commit it. I will be glad, if anyone can check it, but if it can't be done... well, if you may commit, commit it
Comment 14 Zac Medico gentoo-dev 2013-01-14 14:27:44 UTC
Okay, I'll commit it. Should it go in man/ru, man/ru_RU.UTF-8, or what? I'm not really familiar with how the man page locales work, but your man page does appear to be UTF-8 encoded.
Comment 15 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-14 16:00:59 UTC
Well, i have it simply in man/ru, and it works. But i don't know, if this is right way.
Comment 16 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-14 16:01:22 UTC
But, yes, it is UTF-8 encoded.
Comment 17 Sergey Popov gentoo-dev Security 2013-01-14 16:10:12 UTC
ebuild manpage translation looks good and up-to-date
Comment 18 Zac Medico gentoo-dev 2013-01-14 16:27:49 UTC
(In reply to comment #15)
> Well, i have it simply in man/ru, and it works. But i don't know, if this is
> right way.

Okay, we'll go with man/ru. I've committed it with after doing sed 's: $::' to remove trailing spaces:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=15ec6256f3156b241346d2bc25970ec44ee43d3e

(In reply to comment #17)
> ebuild manpage translation looks good and up-to-date

Thanks for reviewing it.
Comment 19 Zac Medico gentoo-dev 2013-01-14 20:05:41 UTC
In portage-2.1.11.41 and 2.2.0_alpha152, with USE=linguas_ru, /usr/share/man/ru/man1/ebuild.1.bz2 is installed.
Comment 20 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-15 03:20:15 UTC
Will continue translating then
Comment 21 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-15 03:32:52 UTC
By the way, why ebuild(1) man page contains references only to md5-sum, md5-digest, and so on? Isn't is SHA and WHIRLPOOL now?
Comment 22 Zac Medico gentoo-dev 2013-01-15 11:11:46 UTC
(In reply to comment #21)
Yes, I've updated the english version:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=a8d775aeb0256e8fbde687ea44749b81bfd2b509
Comment 23 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-15 11:35:38 UTC
Heh :). Now i need to change the translation also.
Comment 24 Vadim A. Misbakh-Soloviov (mva) gentoo-dev 2013-01-16 03:24:13 UTC
I suggest to don't use verbal translations.
I bet, that it is better to repeat "низкоуровневый" (low-level), used in NAME section, that using crappy "прямой" (which commonly causes to think "straight", than "direct", used in orignal man).

Also. DO NOT USE PLURAL on portage!! And it'd be better to do not translate it ever. When I read "портежей" (<smth> of portages) I want to kill the author!

IMHO.

Anyway, I'd wait for your update (that you men in last comment) of translation file and then try to fix such cases, if nobody has objections ;)
Comment 25 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-16 12:44:31 UTC
Created attachment 335814 [details]
ebuild(1) man page

Updated man page, removed "портежей". Don't know, how i miss this.
Comment 26 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-16 13:36:55 UTC
Please, don't kill the translator, i do, what i can :D
Comment 28 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-16 15:24:47 UTC
Sad, i forgot to change Dec 2012 to Jan 2013. I think, it is not a big error? Will continue now to translate ebuild(5)
Comment 29 Zac Medico gentoo-dev 2013-01-16 15:30:26 UTC
I don't worry about the date headers. I often forget to update them too.
Comment 30 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:11:48 UTC
In env-update.1 in first paragraph, env-update first encountered in bold (\fBenv-update\fR), then in italic (\fIenv-update\fR). What standards say about this?
Comment 31 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:13:31 UTC
And, then in options ldconfig and ld.so is not in bold or italic. And, finally, "ld.so cache", need to be "ld.so.cache"
Comment 32 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:17:34 UTC
Also, .SH (such as NAME, SYNOPSIS, DESCRIPTION, etc...) in ebuild.1 is in quotes ("DESCRIPTION", "SYNOPSIS"), but in env-update.1 AUTHORS, OPTIONS, SYNOPSIS and DESCRIPTION are not in quotes (by the way, OPTIONS in ebuild.1 also not quoted)
Comment 33 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:20:25 UTC
Created attachment 337012 [details]
env-update.1
Comment 34 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:33:23 UTC
Created attachment 337014 [details]
ebuild.1

Added forgotten .fi at end
Comment 35 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:33:53 UTC
Created attachment 337016 [details]
env-update.1

Changed a little
Comment 36 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:35:18 UTC
Created attachment 337018 [details]
fixpackages.1
Comment 37 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:37:53 UTC
By the way, from the man page of fixpackages i can't even determine, what it is do. I think, this man page need to be seriously reworked - it is only 2-3 lines now. Same for etc-update man page. It is written "etc-update will prompt user for decision", but there is no explanation about what decisions can be, what user need to press, what he can expect.
Comment 38 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:39:36 UTC
In etc-update.1, in NAME SECTION

etc-update \- handle configuration file updates

second \- is escaped, but - in etc-update is not escaped
Comment 39 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:40:47 UTC
By the way, dash in etc-update is not escaped all through the text of man page
Comment 40 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:44:34 UTC
Also, in etc-update.1, each etc-update is on separate line, such as

.I etc-update

But for italic is much better just enquote etc-update such as \fIetc\-update\fR, and there is no need to start new line each time
Comment 41 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:50:49 UTC
In env-update, automode option, -3, -5, -7, -9 need to be "quoted" \-3, \-5, \-7, \-9
Comment 42 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 15:57:18 UTC
Created attachment 337020 [details]
etc-update.1
Comment 43 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 16:00:31 UTC
In ebuild.5 at the end, in EXAMPLES, 
Copyright 1999-2009 Gentoo Foundation need to be changed to 2013
Comment 44 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-27 16:26:02 UTC
Em... i just went out of man directory in git and went to doc dir. Is that docbook can be translated also?
Comment 45 Zac Medico gentoo-dev 2013-01-27 20:28:58 UTC
Thanks, all of your attachments are now in git:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=512452ad3a8081d81f0eab279d119db98e52bc5c

(In reply to comment #30)
> In env-update.1 in first paragraph, env-update first encountered in bold
> (\fBenv-update\fR), then in italic (\fIenv-update\fR). What standards say
> about this?

I think we should be using bold for all command names. I don't know about standards.

(In reply to comment #31, comment #32, etc...)
> And, then in options ldconfig and ld.so is not in bold or italic. And,
> finally, "ld.so cache", need to be "ld.so.cache"

Please feel free to submit patches to the English man pages.
Comment 46 Zac Medico gentoo-dev 2013-01-27 22:11:53 UTC
(In reply to comment #44)
> Em... i just went out of man directory in git and went to doc dir. Is that
> docbook can be translated also?

It could, but I don't know if it's worth the effort.
Comment 47 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-28 04:11:17 UTC
Do i need to open new bugs for english manpages, or may i put it here?
Comment 48 Zac Medico gentoo-dev 2013-01-28 04:16:57 UTC
You may put them here.
Comment 49 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-30 15:18:08 UTC
Created attachment 337316 [details]
etc-update.1 english
Comment 50 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-30 15:18:44 UTC
Created attachment 337318 [details]
ebuild.5 english

May be other errors exists here, will check carefully later
Comment 51 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-30 15:19:00 UTC
Created attachment 337320 [details]
ebuild.1 english
Comment 52 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-30 15:19:26 UTC
Created attachment 337322 [details]
env-update.1 english
Comment 53 Vladimir Romanov (RETIRED) gentoo-dev 2013-01-30 15:20:01 UTC
This is fixes for english manpages. If this will be comitted, will update Russian accordingly
Comment 55 Zac Medico gentoo-dev 2013-01-30 16:38:07 UTC
I forgot to commit your ebuild.5 change in the first commit. Here it is now:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=66f2f2df36df6fc7b2702694e7bddd56d0149051

It will be easier if you submit your changes in unified diff format. If you just want to use diff on two separate folders, you can use a command like this:

   diff -Nur man.orig man > man.diff

Or clone the git repo and use git. The git repo URL is displayed on the gitweb summary page:

  http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=summary
Comment 56 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-03 11:09:06 UTC
By the way, what's the difference between "doc-other/portage documentation" area and this - "portage development/documentation"?
Comment 57 Sergey Popov gentoo-dev Security 2013-02-03 11:15:46 UTC
(In reply to comment #56)
> By the way, what's the difference between "doc-other/portage documentation"
> area and this - "portage development/documentation"?

I am not part of GDP, but i think so:

doc-other/portage documentation - documentation on gentoo.org site about portage
portage development/documentation - documentation that's a part of sys-apps/portage package(manpages in /usr/share/man, doc entries in /usr/share/doc, etc.)
Comment 58 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:42:06 UTC
Created attachment 339120 [details]
ebuild.1 apply changes to russian version also
Comment 59 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:42:35 UTC
Created attachment 339122 [details]
env-update.1 add changes to russian version also
Comment 60 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:43:20 UTC
Sorry, can't apply diff, as cvs update does not working (shows 'cvs [update aborted]: end of file from server (consult above messages if any)
Comment 61 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:49:25 UTC
Em... Sorry. I forgot, that man pages in GIT, not in CVS. Will add diffs now
Comment 62 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:49:59 UTC
Created attachment 339124 [details]
ebuild.1.diff apply changes to russian version also
Comment 63 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-17 03:50:40 UTC
Created attachment 339126 [details]
env-update.1.diff apply changes to russian version also
Comment 64 Vladimir Romanov (RETIRED) gentoo-dev 2013-02-24 12:36:22 UTC
Em... Why are my attachments made obsolete?
Comment 65 Zac Medico gentoo-dev 2013-02-24 19:00:20 UTC
(In reply to comment #64)
> Em... Why are my attachments made obsolete?

It looks like there was an upgrade or config change for our bugzilla, and it just displays things differently. It shows that you marked obsolete the attachments from comment #58 and comment #59, which was intended, since you attached the corresponding diffs in comment #62 and comment #63. I've applied the diffs now:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=0cb194e041de0c63281e23c802dd42cda4bfbd44
http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=44274bd7ee71a2de0d62d0a73c963c23a56bac6a
Comment 66 Vladimir Romanov (RETIRED) gentoo-dev 2013-04-20 15:54:57 UTC
Created attachment 346096 [details]
diff to english dispatch-conf man page
Comment 67 Vladimir Romanov (RETIRED) gentoo-dev 2013-04-20 15:55:30 UTC
Created attachment 346098 [details]
Russian translation of dispatch-conf man page
Comment 69 Vladimir Romanov (RETIRED) gentoo-dev 2013-06-24 17:20:22 UTC
Created attachment 351820 [details]
color.map.5 russian
Comment 70 Zac Medico gentoo-dev 2013-06-24 19:11:08 UTC
(In reply to Vladimir from comment #69)
> Created attachment 351820 [details]
> color.map.5 russian

Thanks, this is in git:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=d64259b25757f0564aecaaba78f0591190c1e0d4
Comment 71 Vladimir Romanov (RETIRED) gentoo-dev 2014-01-03 12:14:56 UTC
Sorry for so long delay. Here is updated ebuild.1 man page
Comment 72 Vladimir Romanov (RETIRED) gentoo-dev 2014-01-03 12:18:47 UTC
Created attachment 366840 [details, diff]
Ebuild.1 diff
Comment 73 Brian Dolbec gentoo-dev 2014-01-07 08:25:08 UTC
Thank you. Applied in git:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=8fa39c6cc49cfabfae41225a6228c6f34cd18903


If possible, please use git format-patch from the base portage directory of the checkout.  I had to edit the patch to adjust the path.  There was also a couple whitespace errors that it introduced.  Both easy fixes.

Thank you again.
Comment 74 Sergey Popov gentoo-dev Security 2014-11-28 08:02:17 UTC
Bug status is outdated

Vladimir, as you have commit rights for quite long time, please clarify if we should close this
Comment 75 Vladimir Romanov (RETIRED) gentoo-dev 2014-11-28 10:46:41 UTC
No, no, no, don't close this. I will translate something in december/february.
And i don't have rights to do this by myself, as this is in GIT, and i have right to SVN only